it-swarm-ja.com

モジュールの推奨リリースから開発リリースに切り替える方法は?

たとえば、現在 Geofield モジュールを使用しています。私はバージョンを使用しています:

7.x-1.0-beta2(2011年11月17日)

これで、開発バージョンに必要な機能がいくつかあることがわかります。モジュールの開発バージョンに正しく安全に「アップグレード」するにはどうすればよいですか?

7.x-1.x-dev(2012年1月10日)

私が現在行っていることは、コンテンツタイプからジオフィールドを削除し、ジオフィールドモジュールを無効にし、ジオフィールドモジュールをアンインストールし、サーバーからジオフィールドモジュールを物理的に削除してから、開発バージョンをダウンロードしてインストールします。これはうまくいくようですが、もっと効率的なワークフローがあるかどうか疑問に思っています。

(私はdrushをインストールしているので、drushを含む解決策を受け入れます)

34
User

作業ディレクトリ(サイトルート)から次のコマンドを使用します。

drush dl module_name --dev

DEVバージョンを取得します。

または:

drush dl module_name --select

利用可能なバージョンのリストを表示します。

その後、drush updatedbを実行して、モジュールによって行われたデータベースの更新を適用します。 https://drushcommands.com/ とそのページのすべてのコマンドを確認してください(エイリアスは各セクションの最後にあります)。たとえば、drush upはすべての可能な更新をチェックします。

ほとんどの場合、最初に物事を無効にしてアンインストールする必要はありませんが、常に開発環境で作業していて、定期的なバックアップがあることを常に確認してください(例: backup_migrate module を使用)。 Drushは、drush upbut NOT if you directly overwrite withdrush dl`を使用するときに、以前のバージョンのモジュールもバックアップします。

42
7wonders

drush pm-update を使用して任意のモジュールを更新し、バージョン情報を追加して特定のバージョンに更新できます。たとえば、モジュールを7.x-1.x-devバージョンに更新する場合は、次のコマンドを使用できます。

drush pm-update MODULE_NAME-7.x-1.x-dev

または、より短い:

mODULE_NAME-1.x-devをドラッシュアップします

7.x-を省略できます。

33
Елин Й.